#ifndef MEMORYMAPVIEWWIDGET_H
#define MEMORYMAPVIEWWIDGET_H

#include <QTreeWidget>
#include "abstractviewwidget.h"

class MemoryMapViewWidget : public QTreeWidget
{
    Q_OBJECT
public:
    MemoryMapViewWidget(MemoryMap *newMap);
public slots:
    void checkIfMemoryChanged();
private:
    void updateView();
    QTreeWidgetItem *createItem(QString name, quint8* ptr);
    MemoryMap *m_newMap;
    quint64 m_lastMasterPtr;
};

#endif // MEMORYMAPVIEWWIDGET_H
