#ifndef VIEWWIDGETCONTAINER_H
#define VIEWWIDGETCONTAINER_H

#include <QWidget>

class ViewWidgetContainer : public QWidget
{
    Q_OBJECT
public:
    ViewWidgetContainer(QWidget *view, QWidget *parent, QString typeId, QWidget *mainWidget);
    QWidget *viewWidget() const { return m_view; }
    QString typeId() const { return m_typeId; }
signals:
    void closeRequested();
private slots:
    void closeBtnClicked();
private:
    QWidget *m_view;
    QString m_typeId;
};

#endif // VIEWWIDGETCONTAINER_H
